Hammer CLI - Feature #12103

Add host rebuild_config action
10/08/2015 07:29 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Shlomi Zadok

Category: Foreman commands (obsolete)

Target version:

Difficulty: easy Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: In Kanboard:

Pull request: https://github.com/theforeman/hammer-cl | Red Hat JIRA:
i-foreman/pull/231

Team Backlog:

Description

#2267 added a PUT /api/hosts/:id/rebuild_config API action to rebuild orchestration related configs, e.g. DHCP, DNS and TFTP
records.

This API should be added under the "host" subcommand, perhaps hammer host rebuild-config --id X

Related issues:

Related to Foreman - Feature #2267: Need rake task and/or Ul button for rebui... Closed 03/01/2013
Blocked by Hammer CLI - Bug #12260: hammer-cli-foreman tests have several fai... Closed 10/22/2015
Blocked by Foreman - Bug #15141: Unknown permission for api/v2/hosts#rebuild_... Rejected 05/23/2016

Associated revisions

Revision 382103d5 - 05/26/2016 05:54 AM - Shlomi Zadok
Fixes #12103 - Add rebuild config option for host (#231)

History

#1 - 10/08/2015 07:30 AM - Dominic Cleal
- Related to Feature #2267: Need rake task and/or Ul button for rebuilding all host tftp config files added

#2 - 10/22/2015 09:32 AM - Tomas Strachota

- Blocked by Bug #12260: hammer-cli-foreman tests have several failures when they are executed against 1.10 api added

#3 - 11/04/2015 02:22 AM - Shlomi Zadok
- Status changed from New to Assigned

- Assignee set to Shlomi Zadok

Got a solution at https:/github.com/shlomizadok/hammer-cli-foreman/tree/fix_12103. However, blocked by #12260

#4 - 03/30/2016 06:41 AM - Tomas Strachota

The blocking issue has been resolved. Shlomi, would you mind sending a PR from your branch?

#5 - 04/19/2016 07:31 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/231 added

#6 - 05/23/2016 09:12 AM - Shlomi Zadok
- Blocked by Bug #1514 1: Unknown permission for api/v2/hosts#rebuild_config added
https://projects.theforeman.org/issues/2267
https://github.com/shlomizadok/hammer-cli-foreman/tree/fix_12103
https://projects.theforeman.org/issues/12260

#7 - 05/26/2016 06:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-foreman|382103d501dfb56{f9aa7037b68e38ab9bb388ae.
